#ifndef  _ROTDIAL_H_
#define  _ROTDIAL_H_


#define FingerStop_SIZE (1178)
#define CallIcon (2311)
#define CallCancelIcon (2129)
#define YellowBall_20x20   (528)
#define YellowBall_30x30   (1006)
#define YellowBall_40x40	  (1556)
#define YellowBall_60x60   (3085)


/* sample app structure definitions */
typedef struct Bitmap_header
{
	uint8_t Format;
	int16_t Width;
	int16_t Height;
	int16_t Stride;
	int32_t Arrayoffset;
}Bitmap_header_t;

typedef struct RotaryDial_Bmps
{
	int16_t xOffset;
	int16_t yOffset;
	char8_t xDiff;
	char8_t yDiff;

}RotaryDial_Bmps_t;

extern Bitmap_header_t  Bitmap_RawData_Header[];
extern int32_t Uncompressed_FileSize[];

#if defined(FT900_PLATFORM)
extern uint8_t FingerStop[];
extern uint8_t Call[];
extern uint8_t CallCancel[];
extern uint8_t YellowBall20x20[];
extern uint8_t YellowBall30x30[];
extern uint8_t YellowBall40x40[];
extern uint8_t YellowBall60x60[];
#else
extern PROGMEM prog_uchar8_t FingerStop[];
extern PROGMEM prog_uchar8_t Call[];
extern PROGMEM prog_uchar8_t CallCancel[];
extern PROGMEM prog_uchar8_t YellowBall20x20[];
extern PROGMEM prog_uchar8_t YellowBall30x30[];
extern PROGMEM prog_uchar8_t YellowBall40x40[];
extern PROGMEM prog_uchar8_t YellowBall60x60[];
#endif

#define FingerStop_SIZE (1178)
#define CallIcon (2311)
#define CallCancelIcon (2129)
#define YellowBall_20x20   (528)
#define YellowBall_30x30   (1006)
#define YellowBall_40x40	  (1556)
#define YellowBall_60x60   (3085)



void Rotary_Dial_phone();


#endif /* _ROTDIAL_H_ */

/* Nothing beyond this */








